For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Repository

Returns the Repository by Name.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
Responses
200

Getting Repository was successful.

application/json
idstringRequiredExample: my-service
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service
get/registries/{registryId}/repositories/{repositoryName}
GET /containerregistries/registries/{registryId}/repositories/{repositoryName} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "my-service",
  "type": "repository",
  "href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "artifactCount": 125,
    "pullCount": 4200,
    "pushCount": 200,
    "lastPulledAt": "2026-01-01T00:00:00.000Z",
    "lastPushedAt": "2026-01-01T00:00:00.000Z",
    "lastSeverity": "high"
  },
  "properties": {
    "name": "my-service"
  }
}

Last updated

Was this helpful?